org.apache.ivy.util

## Class Configurator.Macro

- java.lang.Object
- - org.apache.ivy.util.Configurator.Macro

Enclosing class:
  Configurator

    public static class Configurator.Macro
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Configurator.Macro(Configurator.MacroDef def)`

### Method Summary

Methods
`void` `defineAttribute(java.lang.String attributeName, java.lang.String value)`
`java.lang.Object` `play(Configurator conf)`
`Configurator.MacroRecord` `recordCreateChild(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configurator.Macro

    public Configurator.Macro(Configurator.MacroDef def)

### Method Detail

#### defineAttribute

    public void defineAttribute(java.lang.String attributeName,
                       java.lang.String value)

#### recordCreateChild

    public Configurator.MacroRecord recordCreateChild(java.lang.String name)

#### play

    public java.lang.Object play(Configurator conf)